<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRhDirectorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rh_directors', function (Blueprint $table) {
            $table->id('DIRECTOR_ID');
            $table->string('DIRECTOR_FKEMPLOYEEID');
            $table->string('DIRECTOR_FKAGENCEID');
            $table->timestamps();
            $table->foreign('DIRECTOR_FKAGENCEID')->references('AGENCE_ID')->on('rh_agences');
            $table->foreign('DIRECTOR_FKEMPLOYEEID')->references('EMPLOYEE_ID')->on('rh_employees');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rh_directors');
    }
}
